# Module dht_node_monitor

- Description
- Data Types
- Function Index
- Function Details

dht_node helper process for monitoring.

Copyright © 2007-2015 Zuse Institute Berlin

Version: $Id$

Behaviours: `gen_component`.

Authors: Nico Kruber (`kruber@zib.de`).

## Description

dht_node helper process for monitoring

## Data Types

### message()

    message() =
        {Key :: lookup_hops, Value :: pos_integer()} |
        {Msg :: db_histogram_init,
         Value :: rt_chord:key(),
         Range :: intervals:interval()} |
        {Key :: db_op, Value :: rt_chord:key()}

### state()

    state() =
        {LookupHops :: rrd:rrd(),
         DBOps :: rrd:rrd(),
         DBHistogram :: rrd:rrd() | uninit}

## Function Index

init/1 | initialisation.
on/2 | message handler.
start_gen_component/5 |
start_link/2 | spawns a dht_node_monitor, called by the scalaris supervisor process.

## Function Details

### start_gen_component/5

    start_gen_component(Module :: module(),
                        Handler :: gen_component:handler(),
                        Args :: term(),
                        Options :: [gen_component:option()],
                        Self :: pid()) ->
                           no_return() | ok

### on/2

    on(X1 :: message(), X2 :: state()) -> state()

message handler

### init/1

    init(Options :: [tuple()]) -> state()

initialisation

### start_link/2

    start_link(DHTNodeGroup :: pid_groups:groupname(),
               Options :: [tuple()]) ->
                  {ok, pid()}

spawns a dht_node_monitor, called by the scalaris supervisor process

Generated by EDoc, Feb 29 2016, 16:12:16.